OpenIKED 6.9.0 ; rpki-client 7.1

Sortie des versions d’OpenIKED 6.9 et rpki-client 7.1

Description

L’Ă©quipe OpenBSD dĂ©voile deux nouvelles versions de ses produits phares :

  • OpenIKED v6.9.0
  • rpki-client v7.1

OpenIKED

Cette implĂ©mentation libre d’IKEv2, faisant partie du projet d’OpenBSD, est basĂ©e sur la version d’OpenBSD 6.9.


L’Ă©quipe en profite pour renouveller complĂ©tement la version portable, connue pour fonctionner sur :

  • certaines distributions Linux, telles Arch Linux, Debian 10
  • et sur certains BSD : FreeBSD 12, FreeBSD 13 et NetBSD 9.

Pour rappel, la version portable peut ĂȘtre tĂ©lĂ©chargĂ©e depuis les miroirs du projet OpenBSD, sous le rĂ©pertoire : /pub/OpenBSD/OpenIKED.


Ceux qui veulent faire remonter des bogues, peuvent le faire sur :

rpki-client

Cette nouvelle version 7.1 intĂšgre les changements suivants :

 * Add keep-alive support to the HTTP client code for RRDP,
 * Reference-count and delete unused files synced via RRDP, as far as
   possible,
 * In the JSON output, change the AS Number from a string ("AS123") to
   an integer ("123") to make processing of the output easier,
 * Add an 'expires' column to CSV & JSON output, based on certificate
   and CRL validity times. The 'expires' value can be used to avoid route
   selection based on stale data when generating VRP sets, when faced
   with loss of communication between consumer and valdiator, or
   validator and CA repository,
 * Make the runtime timeout (-s option) also triggers in
   child proecesses.
 * Improved RRDP support, we encourage testing of RRDP with the -r
   option so that RRDP can be enabled by default in a future release.
   Please report any issues found.

Quant Ă  la version portable :

 * Improve support for older libressl versions (altough the latest
   stable release is recommended),
 * Add missing compat headers in release packages so they build on
   Alpine Linux and macOS.

Pour rappel, rpki-client est connu pour fonctionner sur les systĂšmes d’exploitation suivant :

  • Alpine 3.12, Debian 9, 10, Fedora 31, 32, 33, macOS, RHEL/CentOS 7, 8, Windows Subsystem for Linux 2, et OpenBSD.

La version portable peut ĂȘtre tĂ©lĂ©chargĂ©e depuis :


Si vous souhaitez faire remonter des bogues, faites-le sur :


updatedupdated2021-09-292021-09-29